Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

# RawContactsEntity

*** ** * ** ***

Kotlin \|[Java](https://developer.android.com/reference/android/provider/ContactsContract.RawContactsEntity "View this page in Java")

```
class RawContactsEntity : BaseColumns, ContactsContract.DataColumns, ContactsContract.RawContactsColumns
```

|---|---|
| [kotlin.Any](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html) ||
| ↳ | [android.provider.ContactsContract.RawContactsEntity](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsEntity#) |

Constants for the raw contacts entities table, which can be thought of as an outer join of the raw_contacts table with the data table. It is a strictly read-only table.

If a raw contact has data rows, the RawContactsEntity cursor will contain a one row for each data row. If the raw contact has no data rows, the cursor will still contain one row with the raw contact-level information and nulls for data columns.

```kotlin
Uri entityUri = ContentUris.withAppendedId(RawContactsEntity.CONTENT_URI, rawContactId);
  Cursor c = getContentResolver().query(entityUri,
           new String[]{
               RawContactsEntity.SOURCE_ID,
               RawContactsEntity.DATA_ID,
               RawContactsEntity.MIMETYPE,
               RawContactsEntity.DATA1
           }, null, null, null);
  try {
      while (c.moveToNext()) {
          String sourceId = c.getString(0);
          if (!c.isNull(1)) {
              String mimeType = c.getString(2);
              String data = c.getString(3);
              ...
          }
      }
  } finally {
      c.close();
  }
  
```

### Columns

RawContactsEntity has a combination of RawContact and Data columns.

| RawContacts ||||
|---|---|---|---|
| long | `https://developer.android.com/reference/kotlin/android/provider/BaseColumns#_ID:kotlin.String` | read-only | Raw contact row ID. See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContacts`. |
| long | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#CONTACT_ID:kotlin.String` | read-only | See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContacts`. |
| int | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#AGGREGATION_MODE:kotlin.String` | read-only | See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContacts`. |
| int | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#DELETED:kotlin.String` | read-only | See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContacts`. |

| Data ||||
|---|---|---|---|
| long | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsEntity#DATA_ID:kotlin.String` | read-only | Data row ID. It will be null if the raw contact has no data rows. |
| String | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` | read-only | See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Data`. |
| int | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#IS_PRIMARY:kotlin.String` | read-only | See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Data`. |
| int | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#IS_SUPER_PRIMARY:kotlin.String` | read-only | See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Data`. |
| int | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA_VERSION:kotlin.String` | read-only | See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Data`. |
| Any type | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA1:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA2:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA3:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA4:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA5:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA6:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA7:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA8:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA9:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA10:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA11:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA12:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA13:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA14:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA15:kotlin.String` | read-only | See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Data`. |
| Any type | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#SYNC1:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#SYNC2:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#SYNC3:kotlin.String` `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#SYNC4:kotlin.String` | read-only | See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Data`. |

## Summary

| Constants ||
|---|---|
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsEntity#CONTENT_TYPE:kotlin.String` The MIME type of `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsEntity#CONTENT_URI:android.net.Uri` providing a directory of raw contact entities. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsEntity#DATA_ID:kotlin.String` The ID of the data column. |

| Inherited constants ||
|---|---|
| From class `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns` |---|---| | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#ACCOUNT_TYPE_AND_DATA_SET:kotlin.String` A concatenation of the account type and data set (delimited by a forward slash) - if the data set is empty, this will be the same as the account type. For applications that need to be aware of the data set, this can be used instead of account type to distinguish sets of data. This is never intended to be used for specifying accounts. This column does \*not\* escape forward slashes in the account type or the data set. If this is an issue, consider using `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.SyncColumns#ACCOUNT_TYPE:kotlin.String` and `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#DATA_SET:kotlin.String` directly. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#AGGREGATION_MODE:kotlin.String` The aggregation mode for this contact. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#BACKUP_ID:kotlin.String` Persistent unique id for each raw_contact within its account. This id is provided by its own data source, and can be used to backup metadata to the server. This should be unique within each set of account_name/account_type/data_set <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#CONTACT_ID:kotlin.String` A reference to the `https://developer.android.com/reference/kotlin/android/provider/BaseColumns#_ID:kotlin.String` that this data belongs to. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#DATA_SET:kotlin.String` The data set within the account that this row belongs to. This allows multiple sync adapters for the same account type to distinguish between each others' data. This is empty by default, and is completely optional. It only needs to be populated if multiple sync adapters are entering distinct data for the same account type and account name. Type: TEXT <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#DELETED:kotlin.String` The "deleted" flag: "0" by default, "1" if the row has been marked for deletion. When android.content.ContentResolver#delete is called on a raw contact, it is marked for deletion and removed from its aggregate contact. The sync adaptor deletes the raw contact on the server and then calls ContactResolver.delete once more, this time passing the `https://developer.android.com/reference/kotlin/android/provider/ContactsContract#CALLER_IS_SYNCADAPTER:kotlin.String` query parameter to finalize the data removal. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#METADATA_DIRTY:kotlin.String` Flag indicating that a raw contact's metadata has changed, and its metadata needs to be synchronized by the server. Type: INTEGER (boolean) <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#RAW_CONTACT_IS_READ_ONLY:kotlin.String` The "read-only" flag: "0" by default, "1" if the row cannot be modified or deleted except by a sync adapter. See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract#CALLER_IS_SYNCADAPTER:kotlin.String`. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsColumns#RAW_CONTACT_IS_USER_PROFILE:kotlin.String` Flag that reflects whether this raw contact belongs to the user's personal profile entry. <br /> | ||
| From class `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns` |---|---| | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#CARRIER_PRESENCE:kotlin.String` Carrier presence information. Type: INTEGER (A bitmask of CARRIER_PRESENCE_\* fields) <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#CARRIER_PRESENCE_VT_CAPABLE:kotlin.Int` Indicates that the entry is Video Telephony (VT) capable on the current carrier. An allowed bitmask of `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#CARRIER_PRESENCE:kotlin.String`. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA1:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA10:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA11:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA12:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA13:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA14:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA15:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific. By convention, this field is used to store BLOBs (binary data). <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA2:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA3:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA4:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA5:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA6:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA7:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA8:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA9:kotlin.String` Generic data column, the meaning is `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` specific <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#DATA_VERSION:kotlin.String` The version of this data record. This is a read-only value. The data column is guaranteed to not change without the version going up. This value is monotonically increasing. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#IS_PRIMARY:kotlin.String` Whether this is the primary entry of its kind for the raw contact it belongs to. Type: INTEGER (if set, non-0 means true) <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#IS_READ_ONLY:kotlin.String` The "read-only" flag: "0" by default, "1" if the row cannot be modified or deleted except by a sync adapter. See `https://developer.android.com/reference/kotlin/android/provider/ContactsContract#CALLER_IS_SYNCADAPTER:kotlin.String`. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#IS_SUPER_PRIMARY:kotlin.String` Whether this is the primary entry of its kind for the aggregate contact it belongs to. Any data record that is "super primary" must also be "primary". Type: INTEGER (if set, non-0 means true) <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#MIMETYPE:kotlin.String` The MIME type of the item represented by this row. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#PREFERRED_PHONE_ACCOUNT_COMPONENT_NAME:kotlin.String` The flattened `https://developer.android.com/reference/kotlin/android/content/ComponentName.html#` of a `https://developer.android.com/reference/kotlin/android/telecom/PhoneAccountHandle.html#` that is the preferred `PhoneAccountHandle` to call the contact with. On a multi-SIM device this field can be used in a `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Phone` row to indicate the `https://developer.android.com/reference/kotlin/android/telecom/PhoneAccountHandle.html#` to call the number with, instead of using `https://developer.android.com/reference/kotlin/android/telecom/TelecomManager.html#getDefaultOutgoingPhoneAccount(kotlin.String)` or asking every time. `https://developer.android.com/reference/kotlin/android/telecom/TelecomManager.html#placeCall(android.net.Uri,%20android.os.Bundle)` should be called with `https://developer.android.com/reference/kotlin/android/telecom/TelecomManager.html#EXTRA_PHONE_ACCOUNT_HANDLE:kotlin.String` set to the `https://developer.android.com/reference/kotlin/android/telecom/PhoneAccountHandle.html#` using the `https://developer.android.com/reference/kotlin/android/content/ComponentName.html#` from this field. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#PREFERRED_PHONE_ACCOUNT_ID:kotlin.String` The ID of a `https://developer.android.com/reference/kotlin/android/telecom/PhoneAccountHandle.html#` that is the preferred `PhoneAccountHandle` to call the contact with. Used by `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Phone`. On a multi-SIM device this field can be used in a `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.Phone` row to indicate the `https://developer.android.com/reference/kotlin/android/telecom/PhoneAccountHandle.html#` to call the number with, instead of using `https://developer.android.com/reference/kotlin/android/telecom/TelecomManager.html#getDefaultOutgoingPhoneAccount(kotlin.String)` or asking every time. `https://developer.android.com/reference/kotlin/android/telecom/TelecomManager.html#placeCall(android.net.Uri,%20android.os.Bundle)` should be called with `https://developer.android.com/reference/kotlin/android/telecom/TelecomManager.html#EXTRA_PHONE_ACCOUNT_HANDLE:kotlin.String` set to the `https://developer.android.com/reference/kotlin/android/telecom/PhoneAccountHandle.html#` using the id from this field. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#RAW_CONTACT_ID:kotlin.String` A reference to the `https://developer.android.com/reference/kotlin/android/provider/BaseColumns#_ID:kotlin.String` that this data belongs to. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#RES_PACKAGE:kotlin.String` The package name to use when creating `https://developer.android.com/reference/kotlin/android/content/res/Resources.html#` objects for this data row. This value is only designed for use when building user interfaces, and should not be used to infer the owner. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#SYNC1:kotlin.String` Generic column for use by sync adapters. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#SYNC2:kotlin.String` Generic column for use by sync adapters. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#SYNC3:kotlin.String` Generic column for use by sync adapters. <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.DataColumns#SYNC4:kotlin.String` Generic column for use by sync adapters. <br /> | ||
| From class `https://developer.android.com/reference/kotlin/android/provider/BaseColumns` |---|---| | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/BaseColumns#_COUNT:kotlin.String` The count of rows in a directory. Type: INTEGER <br /> | | `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html` | `https://developer.android.com/reference/kotlin/android/provider/BaseColumns#_ID:kotlin.String` The unique ID for a row. Type: INTEGER (long) <br /> | ||

| Properties ||
|---|---|
| static [Uri](https://developer.android.com/reference/kotlin/android/net/Uri.html#)! | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsEntity#CONTENT_URI:android.net.Uri` The content:// style URI for this table |
| static [Uri](https://developer.android.com/reference/kotlin/android/net/Uri.html#)! | `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsEntity#PROFILE_CONTENT_URI:android.net.Uri` The content:// style URI for this table, specific to the user's profile. |

## Constants

### CONTENT_TYPE

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val CONTENT_TYPE: String
```

The MIME type of `https://developer.android.com/reference/kotlin/android/provider/ContactsContract.RawContactsEntity#CONTENT_URI:android.net.Uri` providing a directory of raw contact entities.

    Value: "vnd.android.cursor.dir/raw_contact_entity"

### DATA_ID

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val DATA_ID: String
```

The ID of the data column. The value will be null if this raw contact has no data rows.

Type: INTEGER

    Value: "data_id"

## Properties

### CONTENT_URI

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val CONTENT_URI: Uri!
```

The content:// style URI for this table

### PROFILE_CONTENT_URI

Added in [API level 14](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

```
static val PROFILE_CONTENT_URI: Uri!
```

The content:// style URI for this table, specific to the user's profile.